<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_939c6a45ff74323dbef487ed1575" . "3a7c" => base64_decode("c3RhdGU" . "="), "tit" . "le" => base64_decode("dGl0bG" . "U="), "_6a90de6af30bf720b668cfb570e606" . "de" => base64_decode("cHJldl9zdGF" . "0ZQ=="), "_4c760fb" . "02a49c55" . "509ba087" . "b84fbda4" . "5" => base64_decode("ZHJhZ" . "nQ="), "_2e858fb1973337f53ff85c104fcb38f" . "4" => base64_decode("cHVibGl" . "zaGVk"), "_b2f5a1004511" . "64396178c16d2" . "a5c6899" => base64_decode("cHJldl90aXR" . "sZQ=="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_b2f5a100451164396178c" . "16d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["t" . "i" . "t" . "l" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6a90de6af30bf72" . "0b668cfb570e606d" . "e"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_939c6a45ff74323dbe" . "f487ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_939c6a45ff74323dbef487ed157" . "53a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_4c760fb02a49c55509ba087b84fbd" . "a45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2e858fb1973" . "337f53ff85c1" . "04fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}